Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.util
Class InputUtils

    java.lang.Object
      org.richfaces.component.util.InputUtils

    public final class InputUtils

extends Object

Author:
  Maksim Kaszynski, Manfred Geiler

Nested Class Summary
`static interface` | `InputUtils.ConverterLookupStrategy`

Method Summary
`static javax.faces.convert.Converter` | `findConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, String property)`
`static String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy, Object value)`
`static String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`
`static Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy, Object val)`
`static Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object val)`
`static javax.faces.convert.Converter` | `getConverterForType(javax.faces.context.FacesContext context, Class<?> type)`
`static String` | `getInputValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`static String` | `getInputValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, InputUtils.ConverterLookupStrategy converterLookupStrategy)`
`static boolean` | `isDisabled(javax.faces.component.UIComponent component)`
`static boolean` | `isReadOnly(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isDisabled

    public static boolean isDisabled(javax.faces.component.UIComponent component)

### isReadOnly

    public static boolean isReadOnly(javax.faces.component.UIComponent component)

### getConverterForType

    public static javax.faces.convert.Converter getConverterForType(javax.faces.context.FacesContext context,
                                                                    Class<?> type)

### getConvertedStringValue

    public static String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 Object value)
                                          throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedStringValue

    public static String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 InputUtils.ConverterLookupStrategy converterLookupStrategy,
                                                 Object value)
                                          throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### findConverter

    public static javax.faces.convert.Converter findConverter(javax.faces.context.FacesContext facesContext,
                                                              javax.faces.component.UIComponent component,
                                                              String property)

### getConvertedValue

    public static Object getConvertedValue(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           Object val)
                                    throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedValue

    public static Object getConvertedValue(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component,
                                           InputUtils.ConverterLookupStrategy converterLookupStrategy,
                                           Object val)
                                    throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getInputValue

    public static String getInputValue(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)
                                throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getInputValue

    public static String getInputValue(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       InputUtils.ConverterLookupStrategy converterLookupStrategy)
                                throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.